import request from '@/utils/request'

// 查询下周关键维修工作列表
export function listKeymaintenance(query) {
  return request({
    url: '/plant/keymaintenance/list',
    method: 'get',
    params: query
  })
}

//
export function keyStatusData(query) {
  return request({
    url: '/plant/keymaintenance/keyStatusData',
    method: 'get',
    params: query
  })
}

// 查询下周关键维修工作详细
export function getKeymaintenance(id) {
  return request({
    url: '/plant/keymaintenance/' + id,
    method: 'get'
  })
}

// 新增下周关键维修工作
export function addKeymaintenance(data) {
  return request({
    url: '/plant/keymaintenance',
    method: 'post',
    data: data
  })
}

// 修改下周关键维修工作
export function updateKeymaintenance(data) {
  return request({
    url: '/plant/keymaintenance',
    method: 'put',
    data: data
  })
}

// 删除下周关键维修工作
export function delKeymaintenance(id) {
  return request({
    url: '/plant/keymaintenance/' + id,
    method: 'delete'
  })
}

// 导出下周关键维修工作
export function exportKeymaintenance(query) {
  return request({
    url: '/plant/keymaintenance/export',
    method: 'get',
    params: query
  })
}
